Ext.onReady(function() {

    function refresh() {
        Ext.Ajax.request({
            url: '/json/apartment/getConsumption',
            success: function(response) {
                var data = Ext.decode(response.responseText),
                    consumption = (data && data.result && data.result.consumption) || 0,
                    el = Ext.get('data').select('.power-info').first(),
                    power_max = parseInt(Ext.get('data').select('input').first().getValue(), 10);
                el.dom.textContent = "" + Math.round(consumption) + " W";
                var v = 100 - (100 * consumption / (power_max));
                el = Ext.get('data').select('.bar .value').first();
                el.setHeight(Math.round(v) + '%');
            }
        });
    }

    Ext.TaskMgr.start({
        run: refresh,
        interval: 3000
    });
});
